(function (document) {
	let originURL;
	let originTempURL;
	const tabObj = {
		active: true,
		currentWindow: true
	};

	function getOriginURL(url) {
		originTempURL = url.indexOf("iqadtest") > -1
			? url.split("iqadtest")[0]
			: url;

		originTempURL = originTempURL.indexOf('?&') < 0
			? originTempURL
			: originTempURL.split('?');

		return url.indexOf("iqadtest") > -1
			? url.split("iqadtest")[0]
			: url;
	}

	function setNewURL(url, param) {
		return url.indexOf("?") < 0
			? url + "?" + param
			: url.indexOf(param) < 0
				? url + "&" + param
				: url;
	}

	function refreshTab(param) {
		chrome.tabs.query(tabObj, function (tabs) {

			if (tabs[0].url.includes('chrome://extensions/')) {
				return;
			}
			if (typeof originURL == "undefined") {
				originURL = tabs[0].url;
				originTempURL = getOriginURL(originURL);
			}

			chrome.tabs.update({
				url: setNewURL(originTempURL, param)
			});
		});

	};

	document.addEventListener("DOMContentLoaded", function () {
		document.getElementById("refresh").onclick = function () {
			refreshTab("iqadtest=iqviewadplace");
		};

		document.getElementById("CRID").onclick = function () {

			async function execInPage(code) {
				const [tab] = await chrome.tabs.query({ currentWindow: true, active: true });

				if (tab.url.includes('chrome://extensions/')) {
					return;
				}

				chrome.scripting.executeScript({
					target: { tabId: tab.id },
					func: code => {
						const el = document.createElement('script');
						el.textContent = code;
						document.documentElement.appendChild(el);
						el.remove();
					},
					args: [code],
					world: 'MAIN',

				});
			}
			const script = `
				(function(){
					let element = document.createElement("script"); 
					element.append("IQDAO.AdIdFrame.loadCridAssets()"); 
					document.querySelector("body").appendChild(element);
				})();`;
			execInPage(script);
		}
	});


})(document);